BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - e -

- e_bit_block : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_gap_block : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_list_ids : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_one_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_unknown : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- e_zero_blocks : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- eA : DNA_FingerprintScanner
- eC : DNA_FingerprintScanner
- eEnd : DNA_FingerprintScanner
- eff_cols_ : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- effective_max_str() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- effective_plains() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- effective_plains_ : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- effective_size() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- effective_vector_max() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- eG : DNA_FingerprintScanner
- empty() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- eN : DNA_FingerprintScanner
- encode_bit_array() : bm::serializer< BV >
- encode_bit_digest() : bm::serializer< BV >
- encode_bit_interval() : bm::serializer< BV >
- encode_gap_block() : bm::serializer< BV >
- encode_header() : bm::serializer< BV >
- encoder() : bm::encoder
- end() : bm::bit_block_t , bm::bvector< Alloc > , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- end_of_stream_ : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- enumerator : bm::bvector< Alloc > , bm::bvector< Alloc >::enumerator
- equal() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bvector< Alloc > , bm::bvps_addr_resolver< BV > , bm::compressed_collection< Value, BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- erase() : bm::bvector< Alloc > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- erase_column() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- err_msg() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- eT : DNA_FingerprintScanner
- extract() : bm::sparse_vector< Val, BV >
- extract_next() : bm::bvector< Alloc >
- extract_plains() : bm::sparse_vector< Val, BV >
- extract_range() : bm::sparse_vector< Val, BV >